openssl_private_decrypt
openssl_public_decrypt
OpenSSL Funkcje
PHP Manual

# openssl_private_encrypt

(PHP 4 >= 4.0.6, PHP 5)

openssl_private_encrypt — Encrypts data with private key

### Opis

bool openssl_private_encrypt ( string `$data` , string `&$crypted` , mixed `$key` [, int `$padding` ] )

openssl_private_encrypt() encrypts `data` with private `key` and stores the result into `crypted` . Encrypted data can be decrypted via openssl_public_decrypt().

This function can be used e.g. to sign data (or its hash) to prove that it is not written by someone else.

### Parametry

`data`

`crypted`

`key`

`padding`

  `padding` defaults to `OPENSSL_PKCS1_PADDING`, but can also be `OPENSSL_NO_PADDING`.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

### Patrz także

- openssl_public_encrypt()
- openssl_public_decrypt()

openssl_private_decrypt
openssl_public_decrypt
OpenSSL Funkcje
PHP Manual